You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mynewt.apache.org by ma...@apache.org on 2016/12/29 18:59:29 UTC

[2/4] incubator-mynewt-core git commit: Revert to using gui version of JLinkGDBServer

Revert to using gui version of JLinkGDBServer


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/e2d3f661
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/e2d3f661
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/e2d3f661

Branch: refs/heads/develop
Commit: e2d3f6611c5cbfb2681099c7ed95da417efc749f
Parents: 3465f20
Author: Simon Ratner <si...@probablyprime.net>
Authored: Thu Dec 29 09:34:46 2016 -0800
Committer: Simon Ratner <si...@probablyprime.net>
Committed: Thu Dec 29 09:34:46 2016 -0800

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/blob/e2d3f661/hw/scripts/jlink.sh
----------------------------------------------------------------------
diff --git a/hw/scripts/jlink.sh b/hw/scripts/jlink.sh
index a3dd94d..0318d74 100644
--- a/hw/scripts/jlink.sh
+++ b/hw/scripts/jlink.sh
@@ -45,7 +45,7 @@ jlink_load () {
     # downloading somewhere in the flash. So need to figure out how to tell it
     # not to do that, or report failure if gdb fails to write this file
     #
-    echo "shell sh -c \"trap '' 2; JLinkGDBServerCL -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
+    echo "shell sh -c \"trap '' 2; JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
     echo "target remote localhost:3333" >> $GDB_CMD_FILE
     echo "mon reset" >> $GDB_CMD_FILE
     echo "restore $FILE_NAME binary $FLASH_OFFSET" >> $GDB_CMD_FILE
@@ -109,7 +109,7 @@ jlink_debug() {
 
 	# Monitor mode. Background process gets it's own process group.
 	set -m
-	JLinkGDBServerCL -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
+	JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
 	set +m
 
 	echo "target remote localhost:3333" > $GDB_CMD_FILE